Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# CameraMatrix Class Reference

Matrix describing transformation from neck joint to camera. More...

`#include <CameraMatrix.h>`

Inheritance diagram for CameraMatrix:

[legend]
Collaboration diagram for CameraMatrix:

[legend]
List of all members.

## Public Member Functions
| CameraMatrix (const Pose3D pose)
| CameraMatrix ()
void | setFrameNumber (unsigned long frameNumber)
## Public Attributes
unsigned long | frameNumber
| The frame number when perceived.
bool | isValid
| Matrix is only valid if motion was stable.

## Detailed Description

Matrix describing transformation from neck joint to camera.

Definition at line 16 of file CameraMatrix.h.

## Constructor & Destructor Documentation

CameraMatrix::CameraMatrix | ( | const Pose3D | pose | ) | `[inline]`

| Definition at line 21 of file CameraMatrix.h. References isValid.

CameraMatrix::CameraMatrix | ( |  | ) | `[inline]`

| Definition at line 22 of file CameraMatrix.h. References isValid.

## Member Function Documentation

void CameraMatrix::setFrameNumber | ( | unsigned long | frameNumber | ) | `[inline]`

| Definition at line 24 of file CameraMatrix.h. Referenced by GT2005SensorDataProcessor::buildCameraMatrix().

## Member Data Documentation

unsigned long CameraMatrix::frameNumber

| The frame number when perceived. Definition at line 19 of file CameraMatrix.h. Referenced by GT2005BallLocator::calculatePanningVelocityValue(), GTCamSelfLocator::execute(), GTCamObstaclesLocator::execute(), VLCImageProcessor::execute(), SlamImageProcessor::execute(), GT2005ImageProcessor::execute(), GTCamBallLocator::execute(), Cognition::handleMessage(), and Geometry::rayFromCamera().

bool CameraMatrix::isValid

| Matrix is only valid if motion was stable. Definition at line 26 of file CameraMatrix.h. Referenced by GT2005SensorDataProcessor::buildCameraMatrix(), GT2005SensorDataProcessor::buildPSDPercept(), CameraMatrix(), SlamSelfLocator::execute(), GT2005StableSelfLocator::execute(), GT2005SelfLocator::execute(), GT2004SelfLocator::execute(), VLCImageProcessor::scan(), SlamImageProcessor::scan(), and GT2005ImageProcessor::scan().

The documentation for this class was generated from the following file:

- Representations/Perception/CameraMatrix.h